## gpxview 0.8.12

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.

APP = gpxview
VERSION = $${VERSION_PREFIX}0.8.12$${VERSION_SUFFIX}

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

distclean: clean
	rm -f Makefile src/Makefile data/Makefile config.log config.status
	rm -fr autom4te.cache

mostlyclean: clean

maintainer-clean: distclean
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	# (nothing yet)

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions

tarball: distclean
	sh mktarball.sh "$(VERSION)"

FORCE:

=== data/Makefile ===
APP = gpxview
prefix = /usr
datarootdir = ${prefix}/share
datadir = ${prefix}/share

LANGS = en_GB de_DE fi_FI
LANGS_HELP = en_GB de_DE fi_FI

all:

clean:

install-debian:
#	install -m 644 help/gpxview.html $(DESTDIR)$(prefix)/share/$(APP)

install-maemo:
	# the path to /share is hardcoded since datapath points to /opt on fremantle
	install -d $(DESTDIR)$(prefix)/share/applications/hildon
	install $(APP).desktop $(DESTDIR)$(prefix)/share/applications/hildon
	for s in 40 26; do \
	  install -d $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 $(APP).$$s.png $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
	install -m 644 $(APP).64.png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
	for LANG in $(LANGS_HELP); do \
		install -d $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
		install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
	done

install: install-maemo
	install -d $(DESTDIR)$(datadir)/$(APP)
	install -m 644 icons/*.gif icons/*.png $(DESTDIR)$(datadir)/$(APP)
	install -m 644 welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP)
	for LANG in $(LANGS); do \
		install -d $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES ;\
		msgfmt ../po/$${LANG}.po -o $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES/$(APP).mo ;\
	done

=== src/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
#

APP = gpxview
prefix = /usr
datarootdir = ${prefix}/share
datadir = ${prefix}/share
EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o mm_poi.o dbus.o
VERSION = $${VERSION_PREFIX}0.8.12$${VERSION_SUFFIX}

bindir = ${exec_prefix}/bin

OBJS = main.o gpx.o goto.o gps.o misc.o gconf.o html.o icons.o cache.o \
	geomath.o settings.o custom_size_renderer.o custom_rating_renderer.o \
	notes.o custom_type_renderer.o unzip.o ioapi.o precpos.o \
	garmin_export.o geotext.o $(EXTRA_OBJS)

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -DHILDON_HELP -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   -DLIBSOUP22 -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -I/usr/include/libgtkhtml-3.8 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12     -I/usr/include/hildon-help   -DENABLE_GPSBT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"4.1.2\" -DMAEMO_VERSION_MAJOR=4 -DENABLE_MAEMO_MAPPER
LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lsoup-2.2 -lgobject-2.0 -lxml2 -lglib-2.0   -lgtkhtml-3.8 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lsqlite3   -lhildonhelp -lglib-2.0 -losso   -lgpsbt -lgpsmgr -lgps -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lz

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	install $(APP) $(DESTDIR)$(prefix)$(bindir)

clean:
	rm -f gpxview *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c


# DO NOT DELETE

cache.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
cache.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
cache.o: garmin_export.h misc.h
converter.o: osm-gps-map-types.h osm-gps-map.h config.h converter.h
custom_rating_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_rating_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_rating_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_rating_renderer.o: misc.h custom_rating_renderer.h
custom_size_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_size_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_size_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_size_renderer.o: misc.h custom_size_renderer.h
custom_type_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_type_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_type_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_type_renderer.o: misc.h custom_type_renderer.h
dbus.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
dbus.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
dbus.o: garmin_export.h misc.h dbus.h
garmin_export.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h
garmin_export.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h
garmin_export.o: mm_poi.h precpos.h garmin_export.h misc.h
gconf.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gconf.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gconf.o: garmin_export.h misc.h
geomath.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geomath.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geomath.o: precpos.h garmin_export.h misc.h
geotext.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geotext.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geotext.o: precpos.h garmin_export.h misc.h
goto.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
goto.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
goto.o: garmin_export.h misc.h
gps.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gps.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gps.o: garmin_export.h misc.h
gpx.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gpx.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gpx.o: garmin_export.h misc.h unzip.h ioapi.h
html.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
html.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
html.o: garmin_export.h misc.h
icons.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
icons.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
icons.o: garmin_export.h misc.h
ioapi.o: ioapi.h
main.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
main.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
main.o: garmin_export.h misc.h custom_size_renderer.h
main.o: custom_rating_renderer.h custom_type_renderer.h
map-tool.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
map-tool.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
map-tool.o: precpos.h garmin_export.h misc.h converter.h
misc.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
misc.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
misc.o: garmin_export.h misc.h
mm_poi.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
mm_poi.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
mm_poi.o: precpos.h garmin_export.h misc.h
notes.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
notes.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
notes.o: garmin_export.h misc.h
osm-gps-map.o: config.h converter.h osm-gps-map-types.h osm-gps-map.h
osm-gps-map-osd-classic.o: config.h osm-gps-map.h osm-gps-map-osd-classic.h
precpos.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
precpos.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
precpos.o: precpos.h garmin_export.h misc.h
settings.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
settings.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
settings.o: precpos.h garmin_export.h misc.h
unzip.o: unzip.h ioapi.h crypt.h

=== debian/changelog ===
gpxview (0.8.12) unstable; urgency=low

  * /opt-imization for fremantle
  * Fixed crash with map on certain diablo devices
  * Balloon click in map selects cache in main view
  * Map state matches main program state (same cache selection shown/selected)
	
 -- Till Harbaum <till@harbaum.org>  Wed, 14 Oct 2009 21:55:23 +0200

=== debian/control ===
Source: gpxview
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts, libsoup2.4-dev|libsoup2.2-dev
Standards-Version: 3.7.2

Package: gpxview
Architecture: any
Depends: ${shlibs:Depends}
Description: Complete offline geocaching solution
 The GPXView application reads and displays geocaching.com GPX files and serves
 as a geocaching navigation tool.
XB-Maemo-Display-Name: GPXView
# Maemo icon gpxview.26.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0T/////
 //8JWPfcAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAaAAAAGgAH
 smYvAAAMZUlEQVRYw92YaXRU1bLHf/uc093ppEMGEpIQEqYQohkIM8RABMTH
 YB6izApIQLzMvCtDAC+KEyBeRC+gkaAoQ5ArBi+KRKYACsgkggjGQJAhQZKQ
 dOZ0us++H84JF1G+vbXeWq/WqlVrn7X3PvWv+led6hae550FzbpKWdilcJSy
 BsJ2hnXTnwB1szZQz4G6iJqFKlBuKy9RRkKzWyGTPF6ghCmJciYUjy0epFmh
 6WNBkW4vUBKV8XwDYFu2ZtwEARrD4zfQKOk9TrV6K+WoPJZb0uJcXg+UZsSJ
 ZqDvwlffBcpigpXFoL9Mhf4yiGicSjTQCSE7AbPoziygnFOUAwcI4gDwD5L5
 Byh0FpPlQtinHFAdn0HO5K8v+wwGUuRkWsAG2+ZSv1EwOX+2J+w1ODv+bJat
 Es5fP6/b4mDPin0XfR4BcuXhO1435b6iHwU9E5REEBbQzxiqjDRUf8tQJdVQ
 6WMoR0EcBd4ztdDUaYaKuYZqDGWvzIWHMrpn1P4M6+I+zvOfD7Wb6jIVCQHN
 fa3ubdD/SO+/VadA0T8LH9Nuwa7UPV0dqTAn63/Glb4NilDbSH8AfMUUAL5h
 KgDJbL4L0JM/7KnIgIZzFR6nCzR7uNueDfrnvnu1GBDXhENcA30DpfoGEHOR
 IgfkShxyJQgXJbiAw+gcBpmJTiYQg1OeAaU2qbqD+iPkP11w1hoF8aEPPlof
 ATu2fdHHxwl77QcjfVeCu6MewXL44M2s234nYXDSgJmVIyDyZuRhVxcA3CLd
 cFr6AlDFzT9myFNwdorzC3CHbjl0vRjq095PvrwdPM99WV60BvRvy1q7lgCJ
 nCcGOGioCEElBGQebvKAYiTFRpaxAIF4CATFJ8c33dMfWhS2+M71X+A+4UkT
 6+DxI4OP1MyAvIOXllmGw7aw7AI/JwS1D/DSg6Hb0i6f1oWB2COqxFgAAuS3
 Bh5RC0Aiz/wRkFgQNNF2AMQ++wilA+jpFY+7PwJ37netyoaBK2l73vVVgFb3
 kucdkPsQ7AOyqCELhD/++AOdUegMLEKwCMRQHGIoKAQTK96HuM2xSa4PYHz4
 0/PKT0D4vHDpKgLRRUniUQhY6NfP8yH8HH7pYdsImD7or7+G7YcjOUdO2xeA
 XqmHiIGm18cBCCXxj4CsKwcuCB0F1htTr7VZB5YdA8NCvUDaQmdZJ4Alqtsn
 AUVAgVd/tRqEYiiTcTMZeBUvXgV6IugJmIDleqxyPShAKX2BZaK1fBRcya50
 xQ+2ObNPNdkP1nWWp/geXk5apN56FjKiV60vnAc+cxyfegbAkptL44Mnw5cF
 X05yeECf4glkDwD57P6zpiDz9UwQ7f2nWi2gtu0xLHA72LalNbSZCMqJuDP+
 q0BU8xcxGmStnKZfA+Lcl+RCkDOpkrHAbiS7gQQkCSDGUCvGmID0NwCoESVw
 PfWGR10FP71/0cdrJ7TLbNPH1REe3PlAqmsHtLsRvas+D/5WN3928Tho0sa3
 QK+EtX3XLw6sgnP62Ylec+4PSDxDvpgBjAAmgXherBarQZljn6oGgPhIWSVs
 IPt4PtRDQH/jh3kVe8B1MmvHtfNATc1GTzaQh04e8DGSj0EepJaDBiBfxehG
 VlkLBe8UvGwdAZWbKoPFAWg5NTLZtR68Ntif00cAfnQQORB5pWWMuy0sjp+/
 qHg2pFWNyS8/AbcjymZor92fcqQTynKQ+4HTwAsovADyK0NZST0rQfYqq3E5
 wd1zn+dWK9D5ZVHlVdA/+jGm4k0gWj7PbSNGANzAKm8YgMLYYbbbcriZ/NsN
 yyjQ28oPRATYrliTpQMoEPliMgDBlAFDWcgAiJ/ZIbb+JAyvG9G5Ign6vNA3
 smr8/ZuCjBGJ0huUHkjRHGRvLLI3KBMRykSQ4JSAmhdwy2sjqDPaDXKMBI7K
 VP4b3Gt/8q9oBTKlIUifAqxDsA7EXBxirgGoXm4xOirxUDfHtYLNwBOUkQj0
 ooiuQD11JADQIL+/KzLgxm3an8wnUfdv20prqpQBoJ8GWQMiCKkEgb7FUGU4
 qjIc9B3qX2QciKroCw470N0yT7kIouHW6Pr3QORWfO/JBpYjWQ5yBR65AjRQ
 D3UpO2a8bQiEXA4d4DgPsSmxS/2GQvDqkC1Vk0A5oPWusANVokEWmBndB4Aq
 z5jeOgCIFP0BRHbA9mKAsXcDCr1lfyWo8PzDsaX+b7ZdQ648Q6msBRGFQ1wA
 uYR2si8IXy4KCbJ5zFv1Z6FhQsJ3/ldAXvZ8Ll8BS2KT9NBNoFzyn2efC3Qg
 hzIQUkopJf9vRPm/duB/W0QPcqYcW3fUyNEX4HOoaPi1IdByzqHuXw0B9+f2
 Fg4JVzr3ffGxq+AqdPzcZIl5OuGe26qAUPwohMVe8YfbXn5VDCwI+ybo+Jd3
 bTq1KqM6MwVKmv58OjYXKJS5AFSKMQC0l+8AcF5MME7IjQAEiU4AFMq2AFgx
 Ri5vMRhAXWvZD9oxSpKd03sYB3eA/e2KjNpPoHxRflFBAygfNBS7siDvjfCT
 0VngfLqlEjUCgKaMNn2suMtGEkgplAyrS3fNCv6TGFasvZEWmwsl0y8M64F8
 Qc4X18BdrWfqASDsYobSG7giv9UvA16gHAQchMsrgJN8ngJai0fYB+pLYi+z
 QKD1t64EDUBWme/aA/WLfVv674Sa2MCEIAlNSm68frUv+Adfsl5MBWd1RHrr
 FoCPsllL+885ABkJuNCxA7txcgOYi989iHSyAXDyIvzWr3KE2w9ec+8NrD4E
 tZWuT/ke5AF+ld1BWKgRT4KczE8yCtQjyljRAD07tE5Rl8KY0I5dvQPBdlM7
 xGoTkJlK5Jugz7K8ZA2A29b2joQt4He1cPnVm+AXV7jx6kCwBFSPrGoODfji
 p5sumr9/xDCgBovMApkhkpkBwNV7ANmlMZX3Ek6w/kudJb6GkprqCH0aFKTd
 /qeeCWINYXhAxmOVS8D3B+ssdQiM390t3KsAnryY0MLWDmzHtffFdQACxXQT
 EGGNFQXkimzehdJR0Z/Fvw42S0VH5wtQcumB2g4boOF537N+Q8z9C00balpv
 oDkqlaD0JJJugOcPnNPEMwC0lL+BvZ91ndIemg7y2at0hF+Tb6fpaSB7M1+G
 QPuUoFCtO0z7qtcun4PQbVPkCssyAGy4jADxhRmo7EZAeXfIcEfcW72qvTbC
 1cyHih5JBdJFMAeAEoZQDmrv+pX1U8G6oGqhsxfUhgSUBe8BRilucRH0o5wj
 x7ys5+8A1csNAJwVceC1VcuT1dB8f5N31LVwJlHJaKiCAUtidNun8Gxijx+8
 p0NIvu91dTWQzFE5DgAv0RkAB0lmhsY31tAvv68FGr9LV4BJ4pIIAaCJDAPR
 Sc/QF0H4muMTDr4BzV7/MeBkHJSWRBXHvgK3Xe1bJfiBWtz13ZiD/Jm4mG4A
 khYQm0QNAdBmTNNXtX4wYVz39fYtMPZ452zvXWAdpfbhcQAiMHrMUfqbGTE+
 8E3IByBJxjbWkEk5sz3eGWrEIHOdaFoPaEX1fnXHwaf8VvPCXFAvuM7Wl0NI
 1/NLT/0LgmMubj2zDQLWdzrW9jYwuN2YlvdSzqBMS1KMW8U5aNHgP1F5EapC
 XFHiKlgdairNjIIw9zeXJpPEQ0aGsAPgKzeb1CtqpJzZFFDvAdTMBFrcSBZo
 KLI/7v0J5L2X2jBqJQRFXPzwXCkEtbvw3pkV4LO49ErxJlC6u3M8W81z/X8H
 yC6NEamX8gQAbfVcaFbhGCL84NL8X296dgO1rFM2AIcZrG8HoKnwBqAQp1lD
 7Yz7xCGTcncANbbte0Yg3Rw2xQbTrjYiI0eBZ7PV7fUu/OadMLNrABQrD57o
 OAysWytXl4dC+elWC9rOBaD2HsrpxqyHU+8HQJloAQEn7ZeV2VD1dX2s9IA7
 Qlc8F0BDKVWMGxTzv4pSMdoEZNS8j5wGQLgsb6yhRq7fW0PHTfuZ+TjDBJZq
 rj8DavDCH/TPtVjLaKg7EZAV9Ci4WtrjfAqBxqniP1ItjUDtFB8CkCdfBJ+F
 1joxAHy32d6Sq8DzgH5O9ATtGcUp/w5AhHjW3D/fpFg8AE2oBGC26ACKmqN4
 ayNBPCz+qj0FynoRrS0GsUy8oprdSTW5q0WDFqVsVfuZ634gzokftSRznwba
 LWWXthZET7FetOZPRP5d/wVAeVtpB6Ac0qLAu872nJYCo9M6B/tuApvDUqTF
 AChHtNcBxAp1AYDSVPUHUK5ZEgGUM6rBoPnyHPwbVD3ObfRdgRUAAAAASUVO
 RK5CYII=

## gpxview 0.8.13

=== data/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 APP = gpxview
+MAEMO_VERSION_MAJOR = 
 prefix = /usr
 datarootdir = ${prefix}/share
 datadir = ${prefix}/share
@@ -23,12 +24,15 @@
 	done
 	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
 	install -m 644 $(APP).64.png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
-	for LANG in $(LANGS_HELP); do \
-		install -d $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
-		install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
-	done
+	if [ $(MAEMO_VERSION_MAJOR) -lt 5 ]; then \
+		echo "Installing hildon help files"; \
+		for LANG in $(LANGS_HELP); do \
+			install -d $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
+			install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
+		done;\
+	fi
 
-install: install-maemo
+install: install-debian
 	install -d $(DESTDIR)$(datadir)/$(APP)
 	install -m 644 icons/*.gif icons/*.png $(DESTDIR)$(datadir)/$(APP)
 	install -m 644 welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP)

=== src/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
#

APP = gpxview
prefix = /usr
datarootdir = ${prefix}/share
datadir = ${prefix}/share
EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o bct.o
VERSION = $${VERSION_PREFIX}0.8.12$${VERSION_SUFFIX}

bindir = ${exec_prefix}/bin

OBJS = main.o gpx.o goto.o gps.o misc.o gconf.o html.o icons.o cache.o \
	geomath.o settings.o custom_size_renderer.o custom_rating_renderer.o \
	notes.o custom_type_renderer.o unzip.o ioapi.o precpos.o \
	garmin_export.o geotext.o gcvote.o $(EXTRA_OBJS) 

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -DORBIT2=1 -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_OSM_GPS_MAP -DORBIT2=1 -pthread -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/libgnomeui-2.0 -I/usr/include/libglade-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/gail-1.0   -DBCT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -DORBIT2=1 -pthread -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0   -DENABLE_BROWSER_INTERFACE
LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -lgobject-2.0 -lglib-2.0   -lxml2   -Wl,-Bsymbolic-functions -lcurl -lgssapi_krb5   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -pthread -lgtkhtml-3.14 -lgnomeui-2 -lSM -lICE -lglade-2.0 -lbonoboui-2 -lgnomevfs-2 -lgnomecanvas-2 -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lORBit-2 -lart_lgpl_2 -lgconf-2 -lgthread-2.0 -lrt -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -pthread -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lgmodule-2.0 -ldl -lORBit-2 -lgthread-2.0 -lrt -lgobject-2.0 -lglib-2.0   -lz

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	install $(APP) $(DESTDIR)$(prefix)$(bindir)

clean:
	rm -f gpxview *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c


# DO NOT DELETE

bct.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
bct.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
bct.o: garmin_export.h gcvote.h misc.h
cache.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
cache.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
cache.o: garmin_export.h gcvote.h misc.h
converter.o: osm-gps-map-types.h osm-gps-map.h config.h converter.h
custom_rating_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_rating_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_rating_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_rating_renderer.o: gcvote.h misc.h custom_rating_renderer.h
custom_size_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_size_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_size_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_size_renderer.o: gcvote.h misc.h custom_size_renderer.h
custom_type_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_type_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_type_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_type_renderer.o: gcvote.h misc.h custom_type_renderer.h
dbus.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
dbus.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
dbus.o: garmin_export.h gcvote.h misc.h dbus.h
garmin_export.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h
garmin_export.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h
garmin_export.o: mm_poi.h precpos.h garmin_export.h gcvote.h misc.h
gconf.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gconf.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gconf.o: garmin_export.h gcvote.h misc.h
gcvote.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gcvote.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
gcvote.o: precpos.h garmin_export.h gcvote.h misc.h
geomath.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geomath.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geomath.o: precpos.h garmin_export.h gcvote.h misc.h
geotext.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geotext.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geotext.o: precpos.h garmin_export.h gcvote.h misc.h
goto.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
goto.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
goto.o: garmin_export.h gcvote.h misc.h
gps.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gps.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gps.o: garmin_export.h gcvote.h misc.h
gpx.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gpx.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gpx.o: garmin_export.h gcvote.h misc.h unzip.h ioapi.h
html.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
html.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
html.o: garmin_export.h gcvote.h misc.h
icons.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
icons.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
icons.o: garmin_export.h gcvote.h misc.h
ioapi.o: ioapi.h
main.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
main.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
main.o: garmin_export.h gcvote.h misc.h custom_size_renderer.h
main.o: custom_rating_renderer.h custom_type_renderer.h
map-tool.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
map-tool.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
map-tool.o: precpos.h garmin_export.h gcvote.h misc.h converter.h
misc.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
misc.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
misc.o: garmin_export.h gcvote.h misc.h
mm_poi.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
mm_poi.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
mm_poi.o: precpos.h garmin_export.h gcvote.h misc.h
notes.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
notes.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
notes.o: garmin_export.h gcvote.h misc.h
osm-gps-map.o: config.h converter.h osm-gps-map-types.h osm-gps-map.h
osm-gps-map-osd-classic.o: config.h osm-gps-map.h converter.h
osm-gps-map-osd-classic.o: osm-gps-map-osd-classic.h
precpos.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
precpos.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
precpos.o: precpos.h garmin_export.h gcvote.h misc.h
settings.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
settings.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
settings.o: precpos.h garmin_export.h gcvote.h misc.h
unzip.o: unzip.h ioapi.h crypt.h

=== debian/changelog ===
gpxview (0.8.13) unstable; urgency=low

  * Prevent installation of hildon help files on fremantle
  * Fixed utf8 truncation map crash on diablo devices
  * Initial GCvote support
  * Lots of UI fremantle'ization and fremantle "WONTFIX" workarounds
  * Map refresh disabled while map not top window
	
 -- Till Harbaum <till@harbaum.org>  Fri, 30 Oct 2009 18:43:40 +0100

=== debian/control ===
Source: gpxview
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libcurl3-openssl-dev, mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts, libsoup2.4-dev|libsoup2.2-dev
Standards-Version: 3.7.2

Package: gpxview
Architecture: any
Depends: ${shlibs:Depends}
Description: Complete offline geocaching solution
 The GPXView application reads and displays geocaching.com GPX files and serves
 as a geocaching navigation tool.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=973
XB-Maemo-Display-Name: GPXView
# No icon
